Subject: Re: bug#77917: 31.0.50; [PATCH] Stop using the "stop" sign for all warning levels

From: Stefan Kangas <[email-masked]>
Date: Mon, 21 Apr 2025 19:06:46 -0700

Ihor Radchenko <[email-masked]> writes:

> Juri Linkov <[email-masked]> writes:
>
>>> The sign is not for Warning or Error, it's for _disabling_ the
>>> message.  That's why it's the same sign.
>>
>> The icon at the beginning of a warning/error is very useful
>> to help separating one warning/error from another, especially
>> for many very long multi-line messages.  But the button for
>> disabling them like [Disable] could be added at the end of messages.
>
> +1
> I'd also like to add that it is important that [Disable] (or any other
> text) is highlighted as a link. This really helps to figure out that one
> can interact with that text. The existing "stop" sign lack such indication.

FWIW, I think changing the icon to something not meaning "stop" would be
better, and I'd prefer that the button looks like a regular text button.
I think this improvement is worth making now, and possibly even
backporting to emacs-30.  I consider this a usability bug.

I think if we want our users to get used to something like this, let's
at least make it not actively confusing.

My two cents.